# Hardware Overview
* Atmel 32bit AVR Microcontroller AT32UC3B1256
* MicroSD card reader
* Micro push-button
* Multi-color LED indicator
* JTAG Interface (can be used for I/O)
* Standard “Type A” USB connector

# Amtel AT32UC3B1256 Features
* High Performance, Low Power AVR 32 UC 32-Bit Microcontroller
* Compact Single-cycle RISC Instruction Set Including DSP Instruction Set
* Read-Modify-Write Instructions and Atomic Bit Manipulation
* Performing up to 1.39 DMIPS / MHz
* Up to 83 DMIPS Running at 60 MHz from Flash
* Up to 46 DMIPS Running at 30 MHz from Flash
* Memory Protection Unit
* Multi-hierarchy Bus System
* High-Performance Data Transfers on Separate Buses for Increased Performance
* 7 Peripheral DMA Channels Improves Speed for Peripheral Communication
* Internal High-Speed Flash
* 512K Bytes, 256K Bytes, 128K Bytes, 64K Bytes Versions
* Single Cycle Access up to 30 MHz
* Prefetch Buffer Optimizing Instruction Execution at Maximum Speed
* 4ms Page Programming Time and 8ms Full-Chip Erase Time
* 100,000 Write Cycles, 15-year Data Retention Capability
* Flash Security Locks and User Defined Configuration Area
* Internal High-Speed SRAM, Single-Cycle Access at Full Speed
* 96K Bytes (512KB Flash), 32K Bytes (256KB and 128KB Flash), 16K Bytes (64KB Flash)
* Interrupt Controller
* Autovectored Low Latency Interrupt Service with Programmable Priority
* System Functions
* Power and Clock Manager Including Internal RC Clock and One 32KHz Oscillator
* Two Multipurpose Oscillators and Two Phase-Lock-Loop (PLL) allowing Independant CPU Frequency from USB Frequency
* Watchdog Timer, Real-Time Clock Timer
* Universal Serial Bus (USB)
* Device 2.0 and Embedded Host Low Speed and Full Speed
* Flexible End-Point Configuration and Management with Dedicated DMA Channels
* On-chip Transceivers Including Pull-Ups
* USB Wake Up from Sleep Functionality
* One Three-Channel 16-bit Timer/Counter (TC)
* Three External Clock Inputs, PWM, Capture and Various Counting Capabilities
* One 7-Channel 20-bit Pulse Width Modulation Controller (PWM)
* Three Universal Synchronous/Asynchronous Receiver/Transmitters (USART)
* Independant Baudrate Generator, Support for SPI, IrDA and ISO7816 interfaces
* Support for Hardware Handshaking, RS485 Interfaces and Modem Line
* One Master/Slave Serial Peripheral Interfaces (SPI) with Chip Select Signals
* One Synchronous Serial Protocol Controller
* Supports I2S and Generic Frame-Based Protocols
* One Master/Slave Two-Wire Interface (TWI), 400kbit/s I2C-compatible
* One 8-channel 10-bit Analog-To-Digital Converter, 384ks/s
* 16-bit Stereo Audio Bitstream DAC
* Sample Rate Up to 50 KHz
* QTouch Library Support
* Capacitive Touch Buttons, Sliders, and Wheels
* QTouch and QMatrix Acquisition